%define upstream_name Future
%define upstream_version 0.51

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Represent an operation awaiting completion
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Linux/PEVANS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp) >= 1.250.0
BuildRequires: perl(List::Util) >= 1.290.0
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Test2::V0) >= 0.0.148
BuildRequires: perl(Test::Builder::Module)
BuildRequires: perl(Time::HiRes)
BuildArch:  noarch

%{?perl_default_filter}

%description
A `Future' object represents an operation that is currently in progress,
or has recently completed. It can be used in a variety of ways to manage
the flow of control, and data, through an asynchronous program.

Some futures represent a single operation and are explicitly marked as
ready by calling the `done' or `fail' methods. These are called "leaf"
futures here, and are returned by the `new' constructor.

Other futures represent a collection sub-tasks, and are implicitly
marked as ready depending on the readiness of their component futures as
required. These are called "dependent" futures here, and are returned by
the various `wait_*' and `need_*' constructors.

It is intended that library functions that perform asynchronous
operations would use `Future' objects to represent outstanding
operations, and allow their calling programs to control or wait for
these operations to complete. The implementation and the user of such an
interface would typically make use of different methods on the class.
The methods below are documented in two sections; those of interest to
each side of the interface.

See also Future::Utils which contains useful loop-constructing
functions, to run a `Future'-returning function repeatedly in a loop.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Tue Jul 01 2025 umeabot <umeabot> 0.510.0-2.mga10
+ Revision: 2234511
- Mageia 10 Mass Rebuild

* Fri Jan 24 2025 tv <tv> 0.510.0-1.mga10
+ Revision: 2141820
- update to 0.51

* Wed Aug 30 2023 tv <tv> 0.500.0-1.mga10
+ Revision: 1981767
- update to 0.50

* Thu Oct 20 2022 tv <tv> 0.490.0-1.mga9
+ Revision: 1897880
- update to 0.49

* Mon Mar 21 2022 umeabot <umeabot> 0.480.0-2.mga9
+ Revision: 1815997
- Mageia 9 Mass Rebuild

* Fri Jan 28 2022 tv <tv> 0.480.0-1.mga9
+ Revision: 1770085
- update to 0.48

* Sat Jan 02 2021 tv <tv> 0.470.0-1.mga8
+ Revision: 1668167
- update to 0.47

* Tue Oct 20 2020 tv <tv> 0.460.0-1.mga8
+ Revision: 1637191
- update to 0.46

* Thu Apr 23 2020 tv <tv> 0.450.0-1.mga8
+ Revision: 1571196
- update to 0.45

* Thu Mar 26 2020 tv <tv> 0.440.0-1.mga8
+ Revision: 1560700
- update to 0.44

* Wed Feb 19 2020 umeabot <umeabot> 0.430.0-2.mga8
+ Revision: 1542919
- Mageia 8 Mass Rebuild

* Wed Jan 08 2020 tv <tv> 0.430.0-1.mga8
+ Revision: 1477225
- update to 0.43

* Wed Nov 13 2019 tv <tv> 0.420.0-1.mga8
+ Revision: 1459733
- update to 0.42

* Sat Jun 29 2019 tv <tv> 0.410.0-1.mga8
+ Revision: 1415954
- update to 0.41

* Thu Sep 27 2018 tv <tv> 0.390.0-1.mga7
+ Revision: 1308097
- update to 0.39

* Thu Sep 20 2018 umeabot <umeabot> 0.380.0-2.mga7
+ Revision: 1283921
- Mageia 7 Mass Rebuild

* Sun Dec 24 2017 tv <tv> 0.380.0-1.mga7
+ Revision: 1184393
- update to 0.38

* Thu Nov 30 2017 tv <tv> 0.370.0-1.mga7
+ Revision: 1180481
- update to 0.37

* Fri Jul 21 2017 sander85 <sander85> 0.350.0-1.mga7
+ Revision: 1126151
- update to 0.35

* Sun Jun 19 2016 pterjan <pterjan> 0.330.0-3.mga6
+ Revision: 1027645
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.330.0-2.mga6
+ Revision: 969055
- Mageia 6 Mass Rebuild

* Thu Jul 30 2015 sander85 <sander85> 0.330.0-1.mga6
+ Revision: 859024
- update to 0.33

* Sat Jun 27 2015 sander85 <sander85> 0.320.0-1.mga6
+ Revision: 845849
- update to 0.32

* Wed Oct 15 2014 umeabot <umeabot> 0.290.0-4.mga5
+ Revision: 750348
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.290.0-3.mga5
+ Revision: 732181
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.290.0-2.mga5
+ Revision: 684810
- Mageia 5 Mass Rebuild

* Fri Jul 18 2014 sander85 <sander85> 0.290.0-1.mga5
+ Revision: 653585
- update to 0.29

* Thu Jun 26 2014 jquelin <jquelin> 0.280.0-1.mga5
+ Revision: 639997
- update to 0.28

* Mon Feb 24 2014 jquelin <jquelin> 0.250.0-1.mga5
+ Revision: 596257
- update to 0.25

* Thu Feb 06 2014 sander85 <sander85> 0.230.0-1.mga5
+ Revision: 584513
- update to 0.23

* Mon Oct 21 2013 umeabot <umeabot> 0.180.0-2.mga4
+ Revision: 537216
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.180.0-1.mga4
+ Revision: 486615
- update to 0.18

* Sat Aug 24 2013 sander85 <sander85> 0.150.0-1.mga4
+ Revision: 471261
- imported package perl-Future

